Bug 1588721 (CVE-2016-1000343) - CVE-2016-1000343 bouncycastle: DSA key pair generator generates a weak private key by default
Summary: CVE-2016-1000343 bouncycastle: DSA key pair generator generates a weak privat...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1000343
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1588723 1588724 1588725 1589584 1589585 1592662
Blocks: 1588310
TreeView+ depends on / blocked
 
Reported: 2018-06-07 18:32 UTC by Pedro Sampaio
Modified: 2019-09-29 14:41 UTC (History)
60 users (show)

Fixed In Version: bouncycastle 1.56
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:27:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2669 None None None 2018-09-11 07:58:06 UTC
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:26:09 UTC

Description Pedro Sampaio 2018-06-07 18:32:31 UTC
In the Bouncy Castle JCE Provider version 1.55 and earlier the DSA key pair
generator generates a weak private key if used with default values. If the JCA
key pair generator is not explicitly initialised with DSA parameters, 1.55 and
earlier generates a private value assuming a 1024 bit key size. In earlier
releases this can be dealt with by explicitly passing parameters to the key pair
generator.

Upstream patch:

https://github.com/bcgit/bc-java/commit/50a53068c094d6cff37659da33c9b4505becd389#diff-5578e61500abb2b87b300d3114bdfd7d

Comment 1 Pedro Sampaio 2018-06-07 18:33:42 UTC
Created bouncycastle tracking bugs for this issue:

Affects: epel-all [bug 1588724]
Affects: fedora-all [bug 1588723]

Comment 3 Mat Booth 2018-06-07 20:13:55 UTC
(In reply to Pedro Sampaio from comment #1)
> Affects: fedora-all [bug 1588723]

Fedora already carries bouncycastle newer than 1.56, so I will close this bug.

Comment 6 Kurt Seifried 2018-06-10 20:29:44 UTC
Statement:

This issue affects the versions of bouncycastle as shipped with Red Hat Subscription Asset Manager 1.x. Red Hat Product Security has rated this issue as having a security impact of Low. No update is planned for this product at this time. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 8 errata-xmlrpc 2018-09-11 07:57:45 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2669 https://access.redhat.com/errata/RHSA-2018:2669

Comment 9 errata-xmlrpc 2018-10-16 15:25:47 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.